gr::dab::select_subch_vfvf Class Reference

selects vectors out of input vectors that belong to one subchannel More...

`#include <select_subch_vfvf.h>`

Inheritance diagram for gr::dab::select_subch_vfvf:
[legend]

## Public Types

typedef std::shared_ptr< select_subch_vfvf > | sptr

## Static Public Member Functions

static sptr | make (unsigned int vlen_in, unsigned int vlen_out, unsigned int address, unsigned int total_size)
| Return a shared_ptr to a new instance of dab::select_subch_vfvf.

## Detailed Description

selects vectors out of input vectors that belong to one subchannel

input: float vector of size vlen_in

output: float vector of size vlen_out

selects vlen_out/vlen_in vectors of total_size input vectors, beginning at address

Parameters

  vlen_in | Length of input vector in floats.
  vlen_out | Length of output vector in floats.
  address | number of input vector where output the output vector begins
  total_size | size in input vectors of one frame (dumped after output vector is selected)

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<select_subch_vfvf> gr::dab::select_subch_vfvf::sptr

## Member Function Documentation

## make()

sptr gr::dab::select_subch_vfvf::make | ( | unsigned int | vlen_in,
|  | unsigned int | vlen_out,
|  | unsigned int | address,
|  | unsigned int | total_size )

static

Return a shared_ptr to a new instance of dab::select_subch_vfvf.

To avoid accidental use of raw pointers, dab::select_subch_vfvf's constructor is in a private implementation class. dab::select_subch_vfvf::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- select_subch_vfvf.h